#!/bin/bash
#
#	Usage:
#		
#		euc --backup

source /opt/edir-upgrade-client/lib/libeuc.sh

usage(){
	echo -e "\n\

	  ___ _   _  ___ 
	 / _ \ | | |/ __|		edirectory-upgrade-client 
	|  __/ |_| | (__ 		by Rafael Carreiro
	 \___|\__,_|\___|		v0.1.0
	                
		
	Usage: 
	
		euc --help			# Mostra essa mensagem
		euc --backup			# Realiza backup do projeto corrente
		euc --info-project		# Mostra informações do projeto corrente

	"

}

case "$1" in
	"--backup")
		load_project 
		backup_edirectory
	;;

	"--help")
		usage
	;;

	"--info-project")
		show_info
	;;

	*)
		usage
	;;

esac	
